/**
 * Omnitracs - HITSS
 *
 * Proyecto MAYA
 *
 * AlertEmailDTO.java - Nov 20, 2013
 */
package com.dla.dda.domain.model.email;

import java.io.Serializable;

import com.dla.dda.domain.model.request.EmailRequest;

/**
 * 
 * @see VO de prueba para mandar correos, este tipo de objetos debe representar
 *      los datos a sustituir
 * @author nmontielh
 * @version 1.0
 */
public class EmailModelVO implements Serializable {

	private static final long serialVersionUID = -1390706851236321412L;

	private EmailRequest request;

	private DetalleCorreoVO autorizacion;

	public EmailRequest getRequest() {
		return request;
	}

	public void setRequest(EmailRequest request) {
		this.request = request;
	}

	public DetalleCorreoVO getAutorizacion() {
		return autorizacion;
	}

	public void setAutorizacion(DetalleCorreoVO autorizacion) {
		this.autorizacion = autorizacion;
	}

	@Override
	public String toString() {
		return "EmailModelVO [request=" + request + ", autorizacion=" + autorizacion + "]";
	}

}
